Bug 450754 - Amd does not work with 2.6.25
Amd does not work with 2.6.25
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: am-utils (Show other bugs)
10
All Linux
low Severity urgent
: ---
: ---
Assigned To: Karel Zak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-10 16:24 EDT by Philippe Troin
Modified: 2009-01-07 04:33 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-07 04:19:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix (590 bytes, patch)
2008-06-10 16:24 EDT, Philippe Troin
no flags Details | Diff

  None (edit)
Description Philippe Troin 2008-06-10 16:24:54 EDT
With the stock configuration, amd does not work with kernel 2.6.25.
Just after start-up, one can find the following in /var/log/messages:

Jun 10 11:36:28 tantale amd[18589]: '/net': mount: No locks available
Jun 10 11:36:29 tantale kernel: Invalid hostname "pid18588@tantale:/net" in NFS
lock request

This is caused by amd's top-level mounts which are mounted by default with NLM
locks enabled (lock mount option).  Locks are not required for the top-level
mounts.  The attached patch passes "nolock" to top-level mount requests.

Phil.
Comment 1 Philippe Troin 2008-06-10 16:24:54 EDT
Created attachment 308864 [details]
Fix
Comment 2 Bug Zapper 2008-11-26 05:50:44 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Ian 2008-12-02 06:42:34 EST
This problem is still present in the Fedora 10 release. Patch from
Philippe works fine.

Please update "Version" to 10

Thanks!

Ian
Comment 4 Fedora Update System 2008-12-02 08:12:43 EST
am-utils-6.1.5-11.1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/am-utils-6.1.5-11.1.fc10
Comment 5 Karel Zak 2008-12-02 08:16:19 EST
Philippe, thanks for your patch. I'll apply the patch to rawhide, F9 and F10.
Comment 6 Fedora Update System 2008-12-02 08:29:55 EST
am-utils-6.1.5-8.1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/am-utils-6.1.5-8.1.fc9
Comment 7 Fedora Update System 2008-12-06 23:12:43 EST
am-utils-6.1.5-11.1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update am-utils'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-10736
Comment 8 Fedora Update System 2008-12-06 23:14:49 EST
am-utils-6.1.5-8.1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update am-utils'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-10755
Comment 9 Ian 2008-12-10 05:36:37 EST
Update for F10: am-utils-6.1.5-11.1.fc10

Works for me!

Many thanks
Comment 10 Fedora Update System 2009-01-07 04:19:03 EST
am-utils-6.1.5-11.1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-01-07 04:33:43 EST
am-utils-6.1.5-8.1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.